clear all
infile1=load('M:\skole\Master\testing\15.05.12\150512\Logger2\start stop332\9.8deg332.txt');
%infile1=load('M:\skole\Master\testing\21052012\logger2\9FPT9.8deg332rs.txt');
infile1=infile1(:,10); %The chosen column 

nfft=length(infile1); 

x1= length(infile1)/2+1;
for i=1:x1
    i1(i)=1;
end
i1=i1';

Fs = 2005;  %logging frequency
window=400*16;  %Size of the window function
overlap_percent=80;  
weighting_window=hanning(window);
overlap=floor(0.01*overlap_percent*window);
norm_factor=((norm(weighting_window)^2)/(sum(weighting_window)^2));
[pxx1,f1] = psd(infile1,nfft,Fs,weighting_window,overlap,'mean');

pxx_norm1=pxx1*norm_factor;
pxx_norm1=sqrt(pxx_norm1)*2/sqrt(2);

h=8000;    %Half of logging series
%f1=f1/f;   %Realtive frequency
f1=f1(1:h);
i1=i1(1:h);
pxx_norm1=pxx_norm1(1:h);

figure(2); clf; hold on;  %Time domain
plot(infile1)
xlabel('Time')
zlabel('Pressure [kPa]')

figure(1); clf; hold on;    %Frequency domian
plot3(f1,i1,pxx_norm1);
grid on
xlabel('Frequency [Hz]')
zlabel('Pressure Amplitude')
AZ=0; EL=0;
axis([0 200 1 8]);
grid on;view(AZ,EL)

rms1=sqrt(sum(infile1.*conj(infile1))/size(infile1,1));  % Root mean square
rms2=sqrt(sum(infile1.*conj(infile1)));

% clear AZ EL Fs ans f f1 i1 i norm_factor overlap overlap_percent pxx1
% pxx_norm1 weighting_window window x1
